package com.aucma.report.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.annotation.Log;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;

/**
 * @ClassName : boxBandIng
 * @Description :
 * @Author :
 * @Date: 2024-05-29 15:48
 */
public class codeBanding extends BaseEntity {
    private static final long serialVersionUID = 1L;
    @Excel(name = "产线编号")
    @JsonProperty("PRODUCT_LINE_CODE")
    private String PRODUCT_LINE_CODE;
    @Excel(name = "产线名称")
    @JsonProperty("PRODUCT_LINE_NAME")
    private String PRODUCT_LINE_NAME;
    @Excel(name = "SAP订单编号")
    @JsonProperty("ORDER_CODE")
    private Long ORDER_CODE;
    @Excel(name = "箱体码")
    @JsonProperty("BOX_CODE")
    private String BOX_CODE;
    @Excel(name = "箱体型号")
    @JsonProperty("BOX_NAME")
    private String BOX_NAME;
    @Excel(name = "内胆码")
    @JsonProperty("LINER_CODE")
    private String LINER_CODE;
    @Excel(name = "内胆型号")
    @JsonProperty("LINER_NAME")
    private String LINER_NAME;
    @Excel(name = "壳胆绑定时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonProperty("RECORD_TIME1")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String RECORD_TIME1;
    @Excel(name = "产品SN码绑定时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonProperty("RECORD_TIME2")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String RECORD_TIME2;
    @Excel(name = "产品SN码")
    @JsonProperty("PRODUCT_CODE")
    private String PRODUCT_CODE;


    public String getPRODUCT_LINE_CODE() {
        return PRODUCT_LINE_CODE;
    }

    public void setPRODUCT_LINE_CODE(String PRODUCT_LINE_CODE) {
        this.PRODUCT_LINE_CODE = PRODUCT_LINE_CODE;
    }

    public String getPRODUCT_LINE_NAME() {
        return PRODUCT_LINE_NAME;
    }

    public void setPRODUCT_LINE_NAME(String PRODUCT_LINE_NAME) {
        this.PRODUCT_LINE_NAME = PRODUCT_LINE_NAME;
    }

    public Long getORDER_CODE() {
        return ORDER_CODE;
    }

    public void setORDER_CODE(Long ORDER_CODE) {
        this.ORDER_CODE = ORDER_CODE;
    }

    public String getBOX_CODE() {
        return BOX_CODE;
    }

    public void setBOX_CODE(String BOX_CODE) {
        this.BOX_CODE = BOX_CODE;
    }

    public String getBOX_NAME() {
        return BOX_NAME;
    }

    public void setBOX_NAME(String BOX_NAME) {
        this.BOX_NAME = BOX_NAME;
    }

    public String getLINER_CODE() {
        return LINER_CODE;
    }

    public void setLINER_CODE(String LINER_CODE) {
        this.LINER_CODE = LINER_CODE;
    }

    public String getLINER_NAME() {
        return LINER_NAME;
    }

    public void setLINER_NAME(String LINER_NAME) {
        this.LINER_NAME = LINER_NAME;
    }

    public String getRECORD_TIME1() {
        return RECORD_TIME1;
    }

    public void setRECORD_TIME1(String RECORD_TIME1) {
        this.RECORD_TIME1 = RECORD_TIME1;
    }

    public String getRECORD_TIME2() {
        return RECORD_TIME2;
    }

    public void setRECORD_TIME2(String RECORD_TIME2) {
        this.RECORD_TIME2 = RECORD_TIME2;
    }

    public String getPRODUCT_CODE() {
        return PRODUCT_CODE;
    }

    public void setPRODUCT_CODE(String PRODUCT_CODE) {
        this.PRODUCT_CODE = PRODUCT_CODE;
    }

    @Override
    public String toString() {
        return "codeBanding{" +
                "PRODUCT_LINE_CODE='" + PRODUCT_LINE_CODE + '\'' +
                ", PRODUCT_LINE_NAME='" + PRODUCT_LINE_NAME + '\'' +
                ", ORDER_CODE=" + ORDER_CODE +
                ", BOX_CODE='" + BOX_CODE + '\'' +
                ", BOX_NAME='" + BOX_NAME + '\'' +
                ", LINER_CODE='" + LINER_CODE + '\'' +
                ", LINER_NAME='" + LINER_NAME + '\'' +
                ", RECORD_TIME1='" + RECORD_TIME1 + '\'' +
                ", RECORD_TIME2='" + RECORD_TIME2 + '\'' +
                ", PRODUCT_CODE='" + PRODUCT_CODE + '\'' +
                '}';
    }
}
